Package com.enonic.xp.schema.xdata

## Class XDatas

- java.lang.Object
- - com.enonic.xp.support.AbstractImmutableEntityList<XData>
  - - com.enonic.xp.schema.xdata.XDatas

- All Implemented Interfaces:
    `Iterable<XData>`

      @PublicApi
      public final class XDatas
      extends AbstractImmutableEntityList<XData>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `XDatas.Builder` |

  - ### Field Summary

    - ### Fields inherited from class com.enonic.xp.support.AbstractImmutableEntityList

      `list`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `XDatas` | `add​(XData... xDatas)` |
    `XDatas` | `add​(Iterable<XData> xDatas)` |
    `static XDatas.Builder` | `create()` |
    `static XDatas` | `empty()` |
    `XDatas` | `filter​(Predicate<XData> filter)` |
    `static XDatas` | `from​(XData... xDatas)` |
    `static XDatas` | `from​(Iterable<? extends XData> xDatas)` |
    `static XDatas` | `from​(Iterator<? extends XData> xDatas)` |
    `Set<XDataName>` | `getNames()` |
    `XData` | `getXData​(XDataName xDataName)` |

    - ### Methods inherited from class com.enonic.xp.support.AbstractImmutableEntityList

      `contains, equals, first, get, getList, getSize, hashCode, isEmpty, isNotEmpty, iterator, last, stream, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### add

          public XDatas add​(XData... xDatas)

    - #### add

          public XDatas add​(Iterable<XData> xDatas)

    - #### getNames

          public Set<XDataName> getNames()

    - #### getXData

          public XData getXData​(XDataName xDataName)

    - #### filter

          public XDatas filter​(Predicate<XData> filter)

    - #### empty

          public static XDatas empty()

    - #### from

          public static XDatas from​(XData... xDatas)

    - #### from

          public static XDatas from​(Iterable<? extends XData> xDatas)

    - #### from

          public static XDatas from​(Iterator<? extends XData> xDatas)

    - #### create

          public static XDatas.Builder create()